## turnstile 0.1.11

=== meson_options.txt ===
option('dinit',
    type: 'feature', value: 'enabled',
    description: 'Whether to install Dinit-related backend and data'
)

option('runit',
    type: 'feature', value: 'disabled',
    description: 'Whether to install runit-related backend and data'
)

option('default_backend',
    type: 'string', value: '',
    description: 'Override the default backend'
)

option('rundir',
    type: 'string', value: '/run',
    description: 'Where the base directory will be located'
)

option('statedir',
    type: 'string', value: 'lib/turnstiled',
    description: 'The state directory relative to localstatedir'
)

option('pamdir',
    type: 'string', value: '',
    description: 'Override the path where PAM files go'
)

option('pam_moddir',
    type: 'string', value: '',
    description: 'Where to install the PAM module (leave empty to autodetect)'
)

option('manage_rundir',
    type: 'boolean', value: false,
    description: 'Whether to manage rundir by default'
)

option('man',
    type: 'boolean', value: true,
    description: 'Whether to generate manpages'
)

option('library',
    type: 'feature', value: 'disabled',
    description: 'Whether to build the library'
)

## turnstile 0.1.10

=== debian/changelog ===
turnstile (0.1.10-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Original release. Ported & customised for antiX/init-diversity.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 30 Nov 2025 19:23:59 +0200

=== debian/control ===
Source: turnstile
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 meson,
 scdoc,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/init-diversity/general/turnstile
Vcs-Browser: https://gitlab.com/init-diversity/general/turnstile
Vcs-Git: https://gitlab.com/init-diversity/general/turnstile.git

Package: turnstile
Section: init-diversity
Architecture: any
Depends:
 ${misc:Depends}, 
 ${shlibs:Depends},
Recommends:
 dinit-init-diversity | dinit-init-antix,
 runit-init-diversity | runit-init-antix,
Provides:
 turnstiled,
Description: A session/login tracker providing service-manager-agnostic way to manage per-user services
 Turnstile is a work in progress effort to create a session/login tracker to
 serve as a fully featured alternative to the logind subproject from systemd,
 and to provide a neutral API to both our session tracker and to logind itself.

Package: libturnstile0
Section: init-diversity
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: A session/login tracker providing service-manager-agnostic way to manage per-user services
 This package contains shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for a Meson project

MESON_OPT += -Drunit=enabled
MESON_OPT += -Drunit=enabled
MESON_OPT += -Dmanage_rundir=true
MESON_OPT += -Dlibrary=enabled

CONFIG_OPT += --prefix=/usr
#


%:
	dh $@

override_dh_clean:
	if [ -e README.md ]; then rm -rf README.md; fi
	if [ -e config.mak ]; then rm -rf config.mak; fi
	dh_clean

# Override dh_auto_configure to set up the build directory and run meson
override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPT)
	mkdir -p debian/build
	cd debian/build && meson -- $(CONFIG_OPT)  ../..

## turnstile 0.1.11

=== debian/changelog ===
turnstile (0.1.11-1) UNRELEASED; urgency=medium

  * Package for Debian.
  * Add experimental Simple User Services (suss) backend.
  * Add experimental dbus-user-session using suss with profile.d and
    Xsession.d hooks.
  * Add patch for upstream documentation typos.
  * Add brief manpage for turnstile-update-runit-env, missing upstream.

 -- Mark Hindley <leepen@debian.org>  Thu, 11 Dec 2025 19:34:55 +0000

=== debian/control ===
Source: turnstile
Section: admin
Priority: optional
Origin: Devuan
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Original-Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13),
	       meson,
	       libaudit-dev,
	       libpam0g-dev,
	       pkgconf,
	       scdoc,
Standards-Version: 4.7.2
Vcs-Git: https://git.devuan.org/leepen/tunrstile.git
Vcs-Browser: https://git.devuan.org/leepen/turnstile
Homepage: https://github.com/chimera-linux/turnstile

Package: turnstile
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, 
Description: Standalone login/session tracker
 aims to serve as a fully featured alternative to the logind subproject from
 systemd, and to provide a neutral API to both our session tracker and to logind
 itself.
 .
 Currently it offers:-
 - a session/login tracker
 - a service-manager-agnostic way to manage per-user service managers for user
 services
 .
 Other features are work in progress.

Package: dbus-turnstile-user-session
Architecture: all
Depends: turnstile, ${misc:Depends}
Provides: dbus-session-bus
Conflicts: dbus-session-bus
Recommends: utrans (>= 0.9-1~)
Multi-Arch:
Description: simple interprocess messaging system (turnstile suss backend integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains turnstile (Simple User Services backend) support for a
 systemd-style unified session model whereby a user's session starts when they
 first log in and does not end until all their login sessions have finished.
 .
 See the dbus description for more information about D-Bus in general.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

CONFFLAGS = \
	-Ddinit=disabled \
	-Drunit=enabled \
	-Ddefault_backend=suss

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

execute_after_dh_auto_build:
	scdoc < debian/src/turnstile-update-runit-env.1.scd > debian/src/turnstile-update-runit-env.1
	scdoc < debian/src/backend/suss.5.scd > debian/src/backend/suss.5

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/chimera-linux/turnstile \
refs/tags/v([\d\.]+)
